<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  if ( !IsUserAdmin() ) echo $L_015;
  else
  {
    // Content Begin
      if (isset($_POST['delGig']))
      {
         if ($_POST['delGig']==$L_Button23)
         {
          // Datensatz-Löschvorgang festlegen
          $SQL = "DELETE FROM ".DB_PREFIX."gigs WHERE GigID IN (" .$_POST["selectedListItems"]. ")";
          $resultat = mysql_query($SQL);
          if ($resultat) echo $L_039;
            else echo "XXX-Gig konnte nicht gelöscht werden!<br />";
          // Betreffende Dateien im Cache löschen
            $amountOfSelectedListItems = count($selectedListItems);
            for ($i=0; $i<$amountOfSelectedListItems; $i++)
            {
              $GigDate = getGigVarFromGigID ($selectedListItems, 'GigDate');
              deleteFileInCache($GigDate);
            }
         }
         elseif ($_POST['delGig']==$L_Button24) echo $L_038; // Button 'Nein' gedrückt
      }
      else
      {
         echo $L_037.'<br /><br />';
         $selectedListItems = implode(",", $_POST["selectedListItems"]);
         echo '
          <form method="post" action="index.php?submenu=calendar&amp;page=backend_delGigs" accept-charset="UTF-8">
            <fieldset>
              <input name="delGig" type="submit" value="'.$L_Button23.'" class="button" />
              <input name="delGig" type="submit" value="'.$L_Button24.'" class="button" />
              <input name="selectedListItems" id="selectedListItems" type="hidden" value="'.$selectedListItems.'" />
              <input type="hidden" name="http-equiv" value="backend_showAllGigs" />
            </fieldset>
           </form>
        ';
      }
    // Inhalt zuende
  }
?>